net.minecraftforge.event.terraingen

## Class SaplingGrowTreeEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.world.WorldEvent
    - - net.minecraftforge.event.terraingen.SaplingGrowTreeEvent

-     public class SaplingGrowTreeEvent
      extends WorldEvent

  This event is fired when a sapling grows a tree. You can set the result to DENY to prevent the default tree growth.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.world.WorldEvent

      `WorldEvent.Load, WorldEvent.PotentialSpawns, WorldEvent.Save, WorldEvent.Unload`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Random` | `rand`
    `int` | `x`
    `int` | `y`
    `int` | `z`

    - ### Fields inherited from class net.minecraftforge.event.world.WorldEvent

      `world`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaplingGrowTreeEvent(World world, java.util.Random rand, int x, int y, int z)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public final int x

    - #### y

          public final int y

    - #### z

          public final int z

    - #### rand

          public final java.util.Random rand

  - ### Constructor Detail

    - #### SaplingGrowTreeEvent

          public SaplingGrowTreeEvent(World world,
                              java.util.Random rand,
                              int x,
                              int y,
                              int z)